aboutsummaryrefslogtreecommitdiff
path: root/app/emulation/wine/wine.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'app/emulation/wine/wine.SlackBuild')
-rwxr-xr-xapp/emulation/wine/wine.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/app/emulation/wine/wine.SlackBuild b/app/emulation/wine/wine.SlackBuild
index d4c31968..7feffc69 100755
--- a/app/emulation/wine/wine.SlackBuild
+++ b/app/emulation/wine/wine.SlackBuild
@@ -15,9 +15,9 @@
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for wine, by Rudson R. Alves
-# requires:
-# tested: wine-1.1.19
-# model: generic.mkSlackBuild $Rev: 784 $
+# requires: freetype
+# tested: wine-1.1.22
+# model: generic.mkSlackBuild $Rev: 805 $
#
# Look for slackbuildrc
@@ -32,17 +32,18 @@ CWD="$(pwd)"
SRC_NAME="wine"
PKG_NAME="wine"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.1.19}
+SRC_VERSION=${VERSION:=1.1.22}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
+SLACKBUILD_PATH=${SLACKBUILD_PATH:="app/emulation/wine"}
PREFIX=${PREFIX:=/usr}
PKG_WORK="$TMP/$SRC_NAME"
CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc --localstatedir=/var"}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j3"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -214,7 +215,8 @@ EODESC
# Build the package
cd "$PKG"
-makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+mkdir -p $REPOS/$SLACKBUILD_PATH
+makepkg -l y -c n "$REPOS/$SLACKBUILD_PATH/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then